/*
 *  wait.h
 */
#ifndef _WAIT_H_
#define _WAIT_H_

#define PMMAXPATH 256

//ptH[}Xj^[f[^
typedef struct tagPM_COND{
	bool  enable_over;
	int   over;
	bool  enable_under;
	int   under;
	UINT  interval;
	bool  path_selected;
	TCHAR PathBuffer[PMMAXPATH];
}PM_COND;

//^C}[
typedef struct tagTM_COND{
	bool       enable;
	SYSTEMTIME time;
}TM_COND;

//
typedef struct tagDT_COND{
	bool       enable;
	SYSTEMTIME time;
}DT_COND;

//RtBO[V\
typedef struct tagWAIT_CONF{
	bool    isNT;
	int     mode;
	int     fnum;
	UINT    interval;
	bool    suspend;
	PM_COND pm;
	TM_COND tm;
	DT_COND dt;
} WAIT_CONF;
#define MODE_OR  0 
#define MODE_AND 1

//ptH[}Xj^̏
typedef struct tagPM_STATE{
	bool over;
	bool under;
	int timerid;
} PM_STATE;

//^C}[֘A`
#define ID_DLGTIMER 15
#define DLG_SAMPLE_INTERVAL_MS  1000
#define PM_INIT   (WM_APP+52)
#define PM_CHANGE (WM_APP+53)
#define PM_EXIT   (WM_APP+54)

int func_cfg(HINSTANCE, HWND, WAIT_CONF*);

#endif


